=== debian/control ===
Source: pdf-presenter-console
Section: graphics
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 11),
	       valac (>= 0.24),
	       cmake (>= 3),
	       libgee-0.8-dev,
	       libgtk-3-dev,
	       libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
	       libpoppler-glib-dev
Standards-Version: 4.1.4
Homepage: https://pdfpc.github.io
Vcs-Git: https://salsa.debian.org/debian/pdf-presenter-console.git
Vcs-Browser: https://salsa.debian.org/debian/pdf-presenter-console

Package: pdf-presenter-console
Provides: pdfpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gstreamer1.0-gtk3
Description: multi-monitor presentation tool (ala Keynote) for PDF files
 PPC is a viewer for PDF which uses Keynote-like multi-monitor output
 to provide meta information to the speaker.  It can show a normal
 presentation window on one screen and a more sophisticated overview
 on the other, with information like a picture of the next slide and a
 clock with the time remaining.
