## pdf-presenter-console 4.3.1

=== debian/changelog ===
pdf-presenter-console (4.3.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper 10 toease backports.
  * Comment out recommends for unavailable gstreamer1.0-gtk3.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Jan 2019 14:15:18 -0800

pdf-presenter-console (4.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 27 Jan 2019 19:59:29 +0000

pdf-presenter-console (4.3.0-1) unstable; urgency=medium

  * New upstream release
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 26 Dec 2018 16:12:58 +0000

pdf-presenter-console (4.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 19 Oct 2018 12:32:50 +0100

pdf-presenter-console (4.1.2-3) unstable; urgency=medium

  * track upstream, for bug fixes and features

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Oct 2018 15:20:12 +0100
