=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 pkg_check_modules(GIO REQUIRED gio-2.0)
 pkg_check_modules(GEE REQUIRED gee-0.8)
 pkg_check_modules(POPPLER REQUIRED poppler-glib>=0.22)
-pkg_check_modules(GTK REQUIRED gtk+-3.0>=3.10)
+pkg_check_modules(GTK REQUIRED gtk+-3.0>=3.22)
 list (FIND GTK_STATIC_LIBRARIES "X11" _index)
 if (${_index} GREATER -1)
     set(WITH_X11 1)
@@ -25,11 +25,6 @@
         gstreamer-audio-1.0
         gstreamer-video-1.0
     )
-endif ()
-
-if ("${GTK_VERSION}" VERSION_LESS 3.18 OR "${VALA_VERSION}" VERSION_LESS 0.30)
-    message(WARNING "Using legacy GTK API")
-    set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D GTK_LEGACY)
 endif ()
 
 if ("${POPPLER_VERSION}" VERSION_GREATER 0.53 AND "${VALA_VERSION}" VERSION_GREATER 0.36.3)
@@ -80,6 +75,27 @@
     LIST(REMOVE_ITEM VALA_SRC classes/action/movie.vala)
 endif ()
 
+# Check for some compiler flags to suppress excessive Vala-triggered warnings
+# Since gcc >= 4.4 can silently ignore unrecognized -W-no* flags, we test
+# for positive options instead.
+include(CheckCCompilerFlag)
+check_c_compiler_flag(-Wdiscarded-qualifiers CC_HAS_DISCARDED_QUALIFIERS)
+if (CC_HAS_DISCARDED_QUALIFIERS)
+    add_definitions("-Wno-discarded-qualifiers")
+endif()
+check_c_compiler_flag(-Wincompatible-pointer-types CC_HAS_INCOMPATIBLE_POINTER_TYPES)
+if (CC_HAS_INCOMPATIBLE_POINTER_TYPES)
+    add_definitions("-Wno-incompatible-pointer-types")
+endif()
+check_c_compiler_flag(-Wdeprecated-declarations CC_HAS_DEPRECATED_DECLARATIONS)
+if (CC_HAS_DEPRECATED_DECLARATIONS)
+    add_definitions("-Wno-deprecated-declarations")
+endif()
+check_c_compiler_flag(-Wimplicit-function-declaration CC_HAS_IMPLICIT_FUNCTION_DECLARATION)
+if (CC_HAS_IMPLICIT_FUNCTION_DECLARATION)
+    add_definitions("-Wno-implicit-function-declaration")
+endif()
+
 vala_precompile(VALA_C
     ${VALA_SRC}
 PACKAGES
@@ -96,10 +112,6 @@
     --debug
     --enable-experimental
     ${EXTRA_VALA_OPTIONS}
-GENERATE_HEADER
-    presenter
-GENERATE_VAPI
-    presenter
 CUSTOM_VAPIS
     ${CMAKE_CURRENT_BINARY_DIR}/paths.vala
     ${CMAKE_CURRENT_SOURCE_DIR}/custom_binding.vapi
@@ -132,10 +144,3 @@
 DESTINATION
     bin
 )
-
-# The tests need a library version of all the pdf_presenter_stuff
-add_library(pdf_presenter_console_test_library
-    SHARED
-    EXCLUDE_FROM_ALL
-    ${VALA_C} presenter.h presenter.vapi
-)
