=== debian/changelog ===
pdf-presenter-console (4.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 06 Feb 2019 22:12:11 +0000
