=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: pdf-presenter-console
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Build-Depends: debhelper (>= 11),
 	       valac (>= 0.24),
 	       cmake (>= 3),
 	       libgee-0.8-dev,
@@ -19,7 +18,7 @@
 Provides: pdfpc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-#Recommends: gstreamer1.0-gtk3
+Recommends: gstreamer1.0-gtk3
 Description: multi-monitor presentation tool (ala Keynote) for PDF files
  PPC is a viewer for PDF which uses Keynote-like multi-monitor output
  to provide meta information to the speaker.  It can show a normal
