## pdf-presenter-console 4.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,7 @@
 find_package(Vala "0.34" REQUIRED)
 include(${VALA_USE_FILE})
 
-set(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc" CACHE FILEPATH "sysconfdir")
-set(MANDIR "share/man" CACHE FILEPATH "mandir")
+include(GNUInstallDirs)
 
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
