=== man/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/pdfpc.in ${CMAKE_CURRENT_BINARY_DIR}/pdfpc.1)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/pdfpcrc.in ${CMAKE_CURRENT_BINARY_DIR}/pdfpcrc.5)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/pdfpc.1
DESTINATION
    ${CMAKE_INSTALL_MANDIR}/man1
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/pdfpcrc.5
DESTINATION
    ${CMAKE_INSTALL_MANDIR}/man5
)
