=== rc/CMakeLists.txt ===
install(FILES
    pdfpcrc
DESTINATION
    ${CMAKE_INSTALL_FULL_SYSCONFDIR}
)

install(FILES
    pdfpc.css
DESTINATION
    ${CMAKE_INSTALL_PREFIX}/share/pixmaps/pdfpc/
)
