=== debian/changelog ===
pdf-presenter-console (4.3.4-3) unstable; urgency=medium

  * Track upstream maintenance patches
  * Remove now-unnecessary SYSCONFDIR business in debian/rules
  * Remove obsolete .menu file; .desktop suffices
  * Rules-Requires-Root: no

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 29 Sep 2019 12:00:31 +0100

pdf-presenter-console (4.3.4-2) unstable; urgency=medium

  * Track upstream maintenance patches

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Aug 2019 18:06:47 +0200

pdf-presenter-console (4.3.4-1) unstable; urgency=medium

  * New upstream version
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Jul 2019 15:47:49 +0100

pdf-presenter-console (4.3.2-2) unstable; urgency=medium

  * Merge upstream video format fix
  * Bump to debhelper 12

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 18 Jun 2019 11:35:04 +0100
