=== debian/watch ===
version=3

# group upstream maintainers, repo tags
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/<project>-$1.tar.gz/" \
 https://github.com/pdfpc/pdfpc/tags (?:.*/)?v?(\d[\d\.\_]*)\.tar\.gz

# See competition at http://michaeldadams.org/projects/haskell-pdf-presenter
