## pdf-presenter-console 4.4.0

=== debian/changelog ===
pdf-presenter-console (4.4.0-1) unstable; urgency=medium

  * Wrap long lines in changelog entries: 4.0.6-1.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Debhelper 13

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 29 May 2020 12:21:21 +0100
