=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: graphics
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 	       valac (>= 0.24),
 	       cmake (>= 3),
 	       libgee-0.8-dev,
 	       libgtk-3-dev,
 	       libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
 	       libpoppler-glib-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://pdfpc.github.io
 Vcs-Git: https://salsa.debian.org/debian/pdf-presenter-console.git
