## pdf-presenter-console 4.5.0

=== icons/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
     move.svg
     settings.svg
     linewidth.svg
+    spotlight.svg
 DESTINATION
     share/pixmaps/pdfpc
 )
