=== rc/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 )
 
 install(FILES
-    pdfpc.css
+    pdfpc.css notes.css
 DESTINATION
     ${CMAKE_INSTALL_PREFIX}/share/pixmaps/pdfpc/
 )
