=== debian/changelog ===
pdf-presenter-console (4.5.0-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.
  * Move gstreamer1.0-gtk3 to depends.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 04 May 2021 12:44:03 -0400

pdf-presenter-console (4.5.0-2) unstable; urgency=medium

  * Track upstream maintenance branch

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 16 Jan 2021 11:54:07 +0000

pdf-presenter-console (4.5.0-1) unstable; urgency=medium

  * New upstream release
    - Upstream copyright now GNU GPL-3 (or later)
    - Add new build dependencies
    - SUPPORT.txt renamed to SUPPORT.rst
    - quilt patch to escape ' at start of line in man page
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 28 Dec 2020 17:26:04 +0000

pdf-presenter-console (4.4.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 21 Nov 2020 11:27:08 +0000
