=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,7 @@
 	dh $@
 
 override_dh_auto_test:
-	echo skipping dh_auto_test as it seems to go into infinite recursion
+	@echo "skipping dh_auto_test as it seems to go into infinite recursion"
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
