## pdf-presenter-console 4.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,12 @@
 
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
 
-option(MOVIES "Compile support for movie playback (requires gdk-x11)" ON)
+option(MOVIES "Compile support for movie playback (requires gstreamer)" ON)
+option(MDVIEW "Enable viewing Markdown notes (requires webkit2gtk)" ON)
+option(REST "Compile support for REST server (requires libsoup and libqrencode)" ON)
 
 add_subdirectory(src)
 add_subdirectory(icons)
 add_subdirectory(man)
+add_subdirectory(css)
 add_subdirectory(rc)
