=== css/CMakeLists.txt ===
install(FILES
    pdfpc.css notes.css
DESTINATION
    ${CMAKE_INSTALL_PREFIX}/share/pdfpc/css
)
