=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 pkg_check_modules(GEE REQUIRED gee-0.8)
 pkg_check_modules(POPPLER REQUIRED poppler-glib>=0.22)
 pkg_check_modules(GTK REQUIRED gtk+-3.0>=3.22)
-pkg_check_modules(WEBKIT REQUIRED webkit2gtk-4.0)
 pkg_check_modules(MARKDOWN REQUIRED libmarkdown)
 pkg_check_modules(JSON REQUIRED json-glib-1.0)
 list (FIND GTK_STATIC_LIBRARIES "X11" _index)
@@ -30,7 +29,26 @@
     )
 endif ()
 
-if ("${POPPLER_VERSION}" VERSION_GREATER 0.53 AND "${VALA_VERSION}" VERSION_GREATER 0.36.3)
+if (MDVIEW)
+    pkg_check_modules(WEBKIT REQUIRED webkit2gtk-4.0)
+    set(MDVIEW_PACKAGES webkit2gtk-4.0)
+    set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D MDVIEW)
+endif ()
+
+if (REST)
+    pkg_check_modules(SOUP REQUIRED libsoup-2.4)
+    pkg_check_modules(QRENCODE REQUIRED libqrencode)
+    set(REST_PACKAGES
+        libsoup-2.4
+    )
+
+    if (${CMAKE_HOST_WIN32})
+        # Needed for Posix.gethostname()
+        set(WSOCK32_LIB wsock32)
+    endif ()
+endif ()
+
+if ("${POPPLER_VERSION}" VERSION_GREATER_EQUAL 0.80 AND "${VALA_VERSION}" VERSION_GREATER 0.48.0)
     set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D NEW_POPPLER)
 endif()
 
@@ -48,6 +66,8 @@
     ${WEBKIT_INCLUDE_DIRS}
     ${MARKDOWN_INCLUDE_DIRS}
     ${JSON_INCLUDE_DIRS}
+    ${SOUP_INCLUDE_DIRS}
+    ${QRENCODE_INCLUDE_DIRS}
     ${CMAKE_CURRENT_SOURCE_DIR}
 )
 
@@ -65,6 +85,8 @@
     ${WEBKIT_LIBRARY_DIRS}
     ${MARKDOWN_LIBRARY_DIRS}
     ${JSON_LIBRARY_DIRS}
+    ${SOUP_LIBRARY_DIRS}
+    ${QRENCODE_LIBRARY_DIRS}
 )
 
 if(${WITH_X11})
@@ -82,6 +104,12 @@
     set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D MOVIES)
 else ()
     LIST(REMOVE_ITEM VALA_SRC classes/action/movie.vala)
+endif ()
+if (REST)
+    set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D REST)
+else ()
+    LIST(REMOVE_ITEM VALA_SRC classes/rest_server.vala)
+    LIST(REMOVE_ITEM VALA_SRC classes/window/qrcode.vala)
 endif ()
 
 # Check for some compiler flags to suppress excessive Vala-triggered warnings
@@ -118,6 +146,8 @@
     pangocairo
     posix
     ${MOVIE_PACKAGES}
+    ${MDVIEW_PACKAGES}
+    ${REST_PACKAGES}
 OPTIONS
     --enable-experimental
     ${EXTRA_VALA_OPTIONS}
@@ -125,6 +155,7 @@
     ${CMAKE_CURRENT_BINARY_DIR}/paths.vala
     ${CMAKE_CURRENT_SOURCE_DIR}/custom_binding.vapi
     ${CMAKE_CURRENT_SOURCE_DIR}/libmarkdown.vapi
+    ${CMAKE_CURRENT_SOURCE_DIR}/libqrencode.vapi
 )
 
 add_executable(pdfpc
@@ -135,6 +166,7 @@
 # explicitly add libraries (needed e.g. for Fedora 13+)
 target_link_libraries(pdfpc
     m
+    ${WSOCK32_LIB}
     ${GOBJECT_LIBRARIES}
     ${GIO_LIBRARIES}
     ${GEE_LIBRARIES}
@@ -142,6 +174,8 @@
     ${MARKDOWN_LIBRARIES}
     ${WEBKIT_LIBRARIES}
     ${JSON_LIBRARIES}
+    ${SOUP_LIBRARIES}
+    ${QRENCODE_LIBRARIES}
     ${GTK_LIBRARIES}
     ${GTHREAD_LIBRARIES}
     ${PANGOCAIRO_LIBRARIES}
