=== debian/changelog ===
pdf-presenter-console (4.6.0-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:13:20 +1100

pdf-presenter-console (4.6.0-3build2) noble; urgency=medium

  * No-change rebuild against .

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 09:37:47 +1300

pdf-presenter-console (4.6.0-3build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:36:34 +0000

pdf-presenter-console (4.6.0-3) unstable; urgency=medium

  * Cherrypick upstream pull req https://github.com/pdfpc/pdfpc/pull/687/files,
    fixes unsupported generic type FTBFS by boxing it (closes: #1042165)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 27 Jul 2023 11:05:05 +0100

pdf-presenter-console (4.6.0-2) unstable; urgency=medium

  * Drop obsolete Build-Depend on libsoup2.4 & libqrencode-dev
  * Switch to webkit 4.1; depend on libwebkit2gtk-4.1-dev instead of 4.0

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 21 Jun 2023 20:55:54 +0100

pdf-presenter-console (4.6.0-1) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed.
  * New upstream release
  * Build dependency on libqrencode-dev, and follow README.rst

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 27 Dec 2022 21:52:36 +0000

pdf-presenter-console (4.5.0-3) unstable; urgency=medium

  * Track upstream maintenance branch
  * Update standards version to 4.6.0, no changes needed.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 02 Nov 2021 12:58:20 -0000
