=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DREST=OFF
+
 override_dh_auto_test:
 	@echo "skipping dh_auto_test as it seems to go into infinite recursion"
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
