## pdf-presenter-console 4.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
+cmake_minimum_required(VERSION 3.7)
 project("pdfpc" C)
-cmake_minimum_required(VERSION 3.0)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/vala)
 
-find_package(Vala "0.34" REQUIRED)
+find_package(Vala "0.48" REQUIRED)
 include(${VALA_USE_FILE})
 
 include(GNUInstallDirs)
