=== rc/CMakeLists.txt ===
install(FILES
    pdfpcrc
DESTINATION
    ${CMAKE_INSTALL_FULL_SYSCONFDIR}
)
