=== debian/changelog ===
pdf-presenter-console (4.7.0-1) unstable; urgency=medium

  * Track upstream through monitor-fixes, commit 4b5060f
  * New upstream release
  * Bump policy
  * Remove upstreamed patches

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 21 Dec 2024 15:50:06 +0000
