=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pdf-presenter-console
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
 		cmake,
 		valac,
@@ -13,7 +12,7 @@
 		libjson-glib-dev,
 		libmarkdown2-dev,
 		libwebkit2gtk-4.1-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://pdfpc.github.io
 Vcs-Git: https://salsa.debian.org/debian/pdf-presenter-console.git
