=== debian/watch ===
version=4

# group upstream maintainers, repo tags
https://github.com/pdfpc/pdfpc/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@

# See competition at http://michaeldadams.org/projects/haskell-pdf-presenter
